Extending Qt Creator Manual | ASTPropertyReference

Extending Qt Creator Manual 4.3.0

# ASTPropertyReference Class

(QmlJS::ASTPropertyReference)

Inherits: | QmlJS::Reference

- List of all members, including inherited members

## Public Functions

| ASTPropertyReference(AST::UiPublicMember *ast, const Document *doc, ValueOwner *valueOwner)
| ~ASTPropertyReference()
AST::UiPublicMember * | ast() const
QString | onChangedSlotName() const

- 1 public function inherited from QmlJS::Reference
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### ASTPropertyReference::ASTPropertyReference(AST::UiPublicMember *ast, const Document *doc, ValueOwner *valueOwner)

Default constructs an instance of ASTPropertyReference.

### ASTPropertyReference::~ASTPropertyReference()

Destroys the instance of ASTPropertyReference.

### AST::UiPublicMember *ASTPropertyReference::ast() const

### QString ASTPropertyReference::onChangedSlotName() const